package com.zbkj.service.wangshang.api.domain.model.bkcloudfunds;

import com.zbkj.service.wangshang.api.MybankObject;
import com.zbkj.service.wangshang.api.domain.RespInfo;

import javax.xml.bind.annotation.*;

/**
 * 云资金文件上传接口<ant.mybank.bkcloudfunds.oss.file.upload>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "body")
public class BkcloudfundsOssFileUploadResponseModel extends MybankObject {

    private static final long serialVersionUID = 8424472809400134342L;

    /**
     * 返回码组件
     */
    @XmlElementRef
    private RespInfo respInfo;

    /**
     * 外部交易号
     */
    @XmlElement(name = "OutTradeNo")
    private String outTradeNo;

    /**
     * 文件唯一编号，非地址，公网不可访问
     */
    @XmlElement(name = "FileUrl")
    private String fileUrl;

    public RespInfo getRespInfo() {return respInfo;}
    public void setRespInfo(RespInfo respInfo) {this.respInfo = respInfo;}

    public String getOutTradeNo() {return outTradeNo;}
    public void setOutTradeNo(String outTradeNo) {this.outTradeNo = outTradeNo;}

    public String getFileUrl() {return fileUrl;}
    public void setFileUrl(String fileUrl) {this.fileUrl = fileUrl;}
}
